glab(1)

NAME
glab-variable-set - Create a new variable for a project or group.

SYNOPSIS
glab variable set [flags]

DESCRIPTION
You can pass the variable value from standard input. Use --group to set a variable for a group instead of the current project.

OPTIONS
-d, --description=""
    Set description of a variable.

-g, --group=""
    Set variable for a group.

--hidden[=false]
    Whether the variable is hidden.

-m, --masked[=false]
    Whether the variable is masked.

-p, --protected[=false]
    Whether the variable is protected.

-r, --raw[=false]
    Whether the variable is treated as a raw string.

-s, --scope=""
    The environment_scope of the variable. Values: all (), or specific environments.

-t, --type="env_var"
    The type of a variable: env_var, file.

-v, --value=""
    The value of a variable.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab variable set WITH_ARG "some value"
    glab variable set WITH_DESC "some value" --description "some description"
    glab variable set FROM_FLAG -v "some value"
    glab variable set FROM_ENV_WITH_ARG "${ENV_VAR}"
    glab variable set FROM_ENV_WITH_FLAG -v"${ENV_VAR}"
    glab variable set FROM_FILE < secret.txt
    cat file.txt | glab variable set SERVER_TOKEN
    cat token.txt | glab variable set GROUP_TOKEN -g mygroup --scope=prod

SEE ALSO
glab-variable(1)